"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var context_apis_common_1 = require("./context-apis.common");
var ActivityTransitionReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiver;
var ActivityTransitionReceiverDelegate = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiverDelegate;
var receiver_android_1 = require("./internal/activity-recognition/recognizers/low-res/android/receiver.android");
var ActivityUpdateReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityUpdateReceiver;
var ActivityUpdateReceiverDelegate = es.uji.geotec.contextapis.activityrecognition.ActivityUpdateReceiverDelegate;
var receiver_android_2 = require("./internal/activity-recognition/recognizers/medium-res/android/receiver.android");
var BootReceiver = es.uji.geotec.contextapis.BootReceiver;
var BootReceiverDelegate = es.uji.geotec.contextapis.BootReceiverDelegate;
var boot_receiver_android_1 = require("./internal/activity-recognition/recognizers/boot-receiver.android");
var ContextApis = (function (_super) {
    __extends(ContextApis, _super);
    function ContextApis() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ContextApis.prototype.init = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        this.wireUpNativeComponents();
                        return [4, _super.prototype.init.call(this)];
                    case 1:
                        _a.sent();
                        return [2];
                }
            });
        });
    };
    ContextApis.prototype.wireUpNativeComponents = function () {
        this.wireUpBootReceiver();
        this.wireUpActivityTransitionReceiver();
        this.wireUpActivityUpdateReceiver();
    };
    ContextApis.prototype.wireUpBootReceiver = function () {
        BootReceiver.setBootReceiverDelegate(new BootReceiverDelegate({
            onReceive: function (context, intent) {
                return boot_receiver_android_1.getBootReceiver().onReceive(context, intent);
            },
        }));
    };
    ContextApis.prototype.wireUpActivityTransitionReceiver = function () {
        ActivityTransitionReceiver.setActivityTransitionReceiverDelegate(new ActivityTransitionReceiverDelegate({
            onReceive: function (context, intent) {
                return receiver_android_1.getAndroidActivityTransitionReceiver().onReceive(context, intent);
            },
        }));
    };
    ContextApis.prototype.wireUpActivityUpdateReceiver = function () {
        ActivityUpdateReceiver.setActivityUpdateReceiverDelegate(new ActivityUpdateReceiverDelegate({
            onReceive: function (context, intent) {
                return receiver_android_2.getAndroidActivityUpdateReceiver().onReceive(context, intent);
            },
        }));
    };
    return ContextApis;
}(context_apis_common_1.Common));
exports.ContextApis = ContextApis;
exports.contextApis = new ContextApis();
//# sourceMappingURL=context-apis.android.js.map