"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var observable_1 = require("tns-core-modules/data/observable");
var activity_recognition_1 = require("./activity-recognition");
var geolocation_1 = require("./geolocation");
var recognizerTypes = [activity_recognition_1.Resolution.LOW, activity_recognition_1.Resolution.MEDIUM];
var Common = (function (_super) {
    __extends(Common, _super);
    function Common() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Common.prototype.init = function () {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, Promise.all(recognizerTypes.map(function (recognizerType) {
                            return activity_recognition_1.getActivityRecognizer(recognizerType).setup();
                        }))];
                    case 1:
                        _a.sent();
                        return [2];
                }
            });
        });
    };
    Common.prototype.getActivityRecognizer = function (resolution) {
        return activity_recognition_1.getActivityRecognizer(resolution);
    };
    Object.defineProperty(Common.prototype, "geolocationProvider", {
        get: function () {
            return geolocation_1.getGeolocationProvider();
        },
        enumerable: true,
        configurable: true
    });
    return Common;
}(observable_1.Observable));
exports.Common = Common;
//# sourceMappingURL=context-apis.common.js.map