"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var low_res_1 = require("./recognizers/low-res");
var medium_res_1 = require("./recognizers/medium-res");
var Resolution;
(function (Resolution) {
    Resolution["LOW"] = "low";
    Resolution["MEDIUM"] = "medium";
    Resolution["HIGH"] = "high";
})(Resolution = exports.Resolution || (exports.Resolution = {}));
function getActivityRecognizer(resolution) {
    switch (resolution) {
        case Resolution.LOW:
            return low_res_1.getLowResRecognizer();
        case Resolution.MEDIUM:
            return medium_res_1.getMediumResRecognizer();
        default:
            throw new Error("\"" + resolution + "\" resolution recognizer has not been implemented yet");
    }
}
exports.getActivityRecognizer = getActivityRecognizer;
var human_activity_1 = require("./human-activity");
exports.HumanActivity = human_activity_1.HumanActivity;
var activity_change_1 = require("./activity-change");
exports.Transition = activity_change_1.Transition;
//# sourceMappingURL=index.js.map