"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("../index");
var recognizerTypes = [index_1.Resolution.LOW, index_1.Resolution.MEDIUM];
var BootReceiver = (function () {
    function BootReceiver() {
    }
    BootReceiver.prototype.onReceive = function (context, intent) {
        Promise.all(recognizerTypes.map(function (recognizerType) {
            return index_1.getActivityRecognizer(recognizerType).setup();
        })).catch(function (err) {
            console.error("An error occurred while setting up activity recognizers: " + err);
        });
    };
    return BootReceiver;
}());
exports.BootReceiver = BootReceiver;
var _bootReceiver;
function getBootReceiver() {
    if (!_bootReceiver) {
        _bootReceiver = new BootReceiver();
    }
    return _bootReceiver;
}
exports.getBootReceiver = getBootReceiver;
//# sourceMappingURL=boot-receiver.android.js.map