"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var abstract_manager_android_1 = require("../../abstract-manager.android");
var ActivityTransitionReceiver = es.uji.geotec.contextapis.activityrecognition.ActivityTransitionReceiver;
var ActivityRecognition = com.google.android.gms.location.ActivityRecognition;
var ActivityTransitionRequest = com.google.android.gms.location.ActivityTransitionRequest;
var ArrayList = java.util.ArrayList;
var ActivityTransition = com.google.android.gms.location.ActivityTransition;
var DetectedActivity = com.google.android.gms.location.DetectedActivity;
var AndroidLowResRecognizerManager = (function (_super) {
    __extends(AndroidLowResRecognizerManager, _super);
    function AndroidLowResRecognizerManager() {
        return _super.call(this, ActivityTransitionReceiver.class) || this;
    }
    AndroidLowResRecognizerManager.prototype.handleStart = function (context, pendingIntent, options) {
        var request = this.buildTransitionRequest();
        return ActivityRecognition.getClient(context).requestActivityTransitionUpdates(request, pendingIntent);
    };
    AndroidLowResRecognizerManager.prototype.handleStop = function (context, pendingIntent) {
        return ActivityRecognition.getClient(context).removeActivityTransitionUpdates(pendingIntent);
    };
    AndroidLowResRecognizerManager.prototype.buildTransitionRequest = function () {
        var transitions = new ArrayList();
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.STILL));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.WALKING));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.RUNNING));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.ON_BICYCLE));
        transitions.addAll(this.getAllTransitionsFor(DetectedActivity.IN_VEHICLE));
        return new ActivityTransitionRequest(transitions);
    };
    AndroidLowResRecognizerManager.prototype.getAllTransitionsFor = function (activityType) {
        var transitions = new ArrayList(2);
        var options = [
            ActivityTransition.ACTIVITY_TRANSITION_ENTER,
            ActivityTransition.ACTIVITY_TRANSITION_EXIT,
        ];
        options.forEach(function (option) {
            transitions.add(new ActivityTransition.Builder()
                .setActivityType(activityType)
                .setActivityTransition(option)
                .build());
        });
        return transitions;
    };
    return AndroidLowResRecognizerManager;
}(abstract_manager_android_1.AndroidAbstractRecognizerManager));
exports.AndroidLowResRecognizerManager = AndroidLowResRecognizerManager;
//# sourceMappingURL=manager.android.js.map