"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ActivityTransitionResult = com.google.android.gms.location.ActivityTransitionResult;
var recognizer_android_1 = require("./recognizer.android");
var utils_android_1 = require("../../utils.android");
var AndroidActivityTransitionReceiver = (function () {
    function AndroidActivityTransitionReceiver() {
    }
    AndroidActivityTransitionReceiver.prototype.onReceive = function (context, intent) {
        if (!ActivityTransitionResult.hasResult(intent)) {
            return;
        }
        var result = ActivityTransitionResult.extractResult(intent);
        var recognizer = recognizer_android_1.getAndroidLowResRecognizer();
        var events = result.getTransitionEvents().toArray();
        for (var i = 0; i < events.length; i++) {
            var event_1 = events[i];
            var activityChange = {
                type: utils_android_1.activityTypeToHumanActivity(event_1.getActivityType()),
                transition: utils_android_1.transitionTypeToActivityTransition(event_1.getTransitionType()),
                timestamp: utils_android_1.elapsedRealtimeToDate(event_1.getElapsedRealTimeNanos()),
            };
            recognizer.onNewActivityChange(activityChange);
        }
    };
    return AndroidActivityTransitionReceiver;
}());
exports.AndroidActivityTransitionReceiver = AndroidActivityTransitionReceiver;
var _transitionReceiver;
function getAndroidActivityTransitionReceiver() {
    if (!_transitionReceiver) {
        _transitionReceiver = new AndroidActivityTransitionReceiver();
    }
    return _transitionReceiver;
}
exports.getAndroidActivityTransitionReceiver = getAndroidActivityTransitionReceiver;
//# sourceMappingURL=receiver.android.js.map