"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var abstract_recognizer_1 = require("../../abstract-recognizer");
var store_1 = require("../../state/store");
var callback_manager_1 = require("../../callback-manager");
var index_1 = require("../../../index");
var manager_android_1 = require("./manager.android");
var AndroidLowResRecognizer = (function (_super) {
    __extends(AndroidLowResRecognizer, _super);
    function AndroidLowResRecognizer(recognizersState, callbackManager, recognitionManager) {
        return _super.call(this, index_1.Resolution.LOW, recognizersState, callbackManager, recognitionManager) || this;
    }
    AndroidLowResRecognizer.prototype.onNewActivityChange = function (activityChange) {
        this.callbackManager.notifyAll(activityChange);
    };
    return AndroidLowResRecognizer;
}(abstract_recognizer_1.AbstractActivityRecognizer));
exports.AndroidLowResRecognizer = AndroidLowResRecognizer;
var _instance;
function getAndroidLowResRecognizer() {
    if (!_instance) {
        _instance = new AndroidLowResRecognizer(store_1.recognizersStateStoreDb, new callback_manager_1.RecognizerCallbackManager(), new manager_android_1.AndroidLowResRecognizerManager());
    }
    return _instance;
}
exports.getAndroidLowResRecognizer = getAndroidLowResRecognizer;
//# sourceMappingURL=recognizer.android.js.map