"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var abstract_recognizer_1 = require("../../abstract-recognizer");
var store_1 = require("../../state/store");
var callback_manager_1 = require("../../callback-manager");
var index_1 = require("../../../index");
var manager_android_1 = require("./manager.android");
var AndroidMediumResRecognizer = (function (_super) {
    __extends(AndroidMediumResRecognizer, _super);
    function AndroidMediumResRecognizer(recognizerState, callbackManager, recognitionManager) {
        return _super.call(this, index_1.Resolution.MEDIUM, recognizerState, callbackManager, recognitionManager) || this;
    }
    AndroidMediumResRecognizer.prototype.onRecognitionResult = function (result) {
        return __awaiter(this, void 0, void 0, function () {
            var lastActivity;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.recognizerState.getLastActivity(this.recognizerType)];
                    case 1:
                        lastActivity = _a.sent();
                        if (lastActivity === result.type) {
                            return [2];
                        }
                        if (lastActivity) {
                            this.callbackManager.notifyAll({
                                type: lastActivity,
                                transition: index_1.Transition.ENDED,
                                timestamp: result.timestamp,
                            });
                        }
                        this.callbackManager.notifyAll({
                            type: result.type,
                            transition: index_1.Transition.STARTED,
                            confidence: result.confidence,
                            timestamp: result.timestamp,
                        });
                        return [4, this.recognizerState.updateLastActivity(this.recognizerType, result.type)];
                    case 2:
                        _a.sent();
                        return [2];
                }
            });
        });
    };
    return AndroidMediumResRecognizer;
}(abstract_recognizer_1.AbstractActivityRecognizer));
exports.AndroidMediumResRecognizer = AndroidMediumResRecognizer;
var _instance;
function getAndroidMediumResRecognizer() {
    if (!_instance) {
        _instance = new AndroidMediumResRecognizer(store_1.recognizersStateStoreDb, new callback_manager_1.RecognizerCallbackManager(), new manager_android_1.AndroidMediumResRecognizerManager());
    }
    return _instance;
}
exports.getAndroidMediumResRecognizer = getAndroidMediumResRecognizer;
//# sourceMappingURL=recognizer.android.js.map