"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var nativescript_couchbase_plugin_1 = require("nativescript-couchbase-plugin");
var DATABASE_NAME = "context-apis";
var DOC_TYPE = "recognizer-state";
var RecognizersStateStoreDb = (function () {
    function RecognizersStateStoreDb() {
        this.database = new nativescript_couchbase_plugin_1.Couchbase(DATABASE_NAME);
    }
    RecognizersStateStoreDb.prototype.isActive = function (recognizer) {
        return __awaiter(this, void 0, void 0, function () {
            var recognizerData;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.getRecognizerData(recognizer)];
                    case 1:
                        recognizerData = _a.sent();
                        if (!recognizerData) {
                            return [2, false];
                        }
                        return [2, recognizerData.active];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.getStartOptions = function (recognizer) {
        return __awaiter(this, void 0, void 0, function () {
            var isActive, recognizerData;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.isActive(recognizer)];
                    case 1:
                        isActive = _a.sent();
                        if (!isActive) {
                            return [2, null];
                        }
                        return [4, this.getRecognizerData(recognizer)];
                    case 2:
                        recognizerData = _a.sent();
                        if (!recognizerData) {
                            return [2, null];
                        }
                        return [2, recognizerData.startOptions];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.markAsActive = function (recognizer, startOptions) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.updateStatus(recognizer, true, startOptions)];
                    case 1:
                        _a.sent();
                        return [2];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.markAsInactive = function (recognizer) {
        return __awaiter(this, void 0, void 0, function () {
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.updateStatus(recognizer, false)];
                    case 1:
                        _a.sent();
                        return [2];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.getLastActivity = function (recognizer) {
        return __awaiter(this, void 0, void 0, function () {
            var recognizerData, lastActivity;
            return __generator(this, function (_a) {
                recognizerData = this.database.getDocument(recognizer);
                if (!recognizerData) {
                    return [2, null];
                }
                lastActivity = recognizerData.lastActivity;
                return [2, lastActivity ? lastActivity : null];
            });
        });
    };
    RecognizersStateStoreDb.prototype.updateLastActivity = function (recognizer, activity) {
        return __awaiter(this, void 0, void 0, function () {
            var isActive;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0: return [4, this.isActive(recognizer)];
                    case 1:
                        isActive = _a.sent();
                        if (!isActive) {
                            return [2, null];
                        }
                        this.database.updateDocument(recognizer, { lastActivity: activity });
                        return [2];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.updateStatus = function (recognizer, active, startOptions) {
        if (startOptions === void 0) { startOptions = {}; }
        return __awaiter(this, void 0, void 0, function () {
            var newData, prevData;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        newData = {
                            active: active,
                            startOptions: startOptions,
                            lastActivity: null,
                        };
                        return [4, this.getRecognizerData(recognizer)];
                    case 1:
                        prevData = _a.sent();
                        if (!prevData) {
                            this.database.createDocument(__assign({ docType: DOC_TYPE }, newData), recognizer);
                            return [2];
                        }
                        this.database.updateDocument(recognizer, newData);
                        return [2];
                }
            });
        });
    };
    RecognizersStateStoreDb.prototype.getRecognizerData = function (recognizer) {
        return __awaiter(this, void 0, void 0, function () {
            var recognizerData;
            return __generator(this, function (_a) {
                recognizerData = this.database.getDocument(recognizer);
                if (!recognizerData) {
                    return [2, null];
                }
                return [2, recognizerData];
            });
        });
    };
    return RecognizersStateStoreDb;
}());
exports.recognizersStateStoreDb = new RecognizersStateStoreDb();
//# sourceMappingURL=store.js.map