"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var human_activity_1 = require("../human-activity");
var activity_change_1 = require("../activity-change");
var DetectedActivity = com.google.android.gms.location.DetectedActivity;
var ActivityTransition = com.google.android.gms.location.ActivityTransition;
var SystemClock = android.os.SystemClock;
function activityTypeToHumanActivity(activityType) {
    switch (activityType) {
        case DetectedActivity.STILL:
            return human_activity_1.HumanActivity.STILL;
        case DetectedActivity.WALKING:
            return human_activity_1.HumanActivity.WALKING;
        case DetectedActivity.RUNNING:
            return human_activity_1.HumanActivity.RUNNING;
        case DetectedActivity.ON_FOOT:
            return human_activity_1.HumanActivity.WALKING;
        case DetectedActivity.ON_BICYCLE:
            return human_activity_1.HumanActivity.ON_BICYCLE;
        case DetectedActivity.IN_VEHICLE:
            return human_activity_1.HumanActivity.IN_VEHICLE;
        case DetectedActivity.TILTING:
            return human_activity_1.HumanActivity.TILTING;
        default:
            throw new Error("Unrecognized activity: " + activityType + " (search Android docs for DetectedActivity int value meaning).");
    }
}
exports.activityTypeToHumanActivity = activityTypeToHumanActivity;
function transitionTypeToActivityTransition(transitionType) {
    switch (transitionType) {
        case ActivityTransition.ACTIVITY_TRANSITION_ENTER:
            return activity_change_1.Transition.STARTED;
        case ActivityTransition.ACTIVITY_TRANSITION_EXIT:
            return activity_change_1.Transition.ENDED;
        default:
            throw new Error("Unrecognized transition: " + transitionType + " (search Android docs for ActivityTransition int value meaning).");
    }
}
exports.transitionTypeToActivityTransition = transitionTypeToActivityTransition;
function elapsedRealtimeToDate(elapsed) {
    var nanosSinceBoot = SystemClock.elapsedRealtimeNanos();
    var now = Date.now();
    var diff = nanosSinceBoot - elapsed;
    var elapsedMillis = diff / 1e6;
    return new Date(now - elapsedMillis);
}
exports.elapsedRealtimeToDate = elapsedRealtimeToDate;
//# sourceMappingURL=utils.android.js.map