"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var nativescript_geolocation_1 = require("nativescript-geolocation");
var GeolocationAdapter = (function () {
    function GeolocationAdapter() {
    }
    GeolocationAdapter.prototype.isReady = function () {
        return nativescript_geolocation_1.isEnabled();
    };
    GeolocationAdapter.prototype.prepare = function (always, openSettingsIfDenied) {
        if (always === void 0) { always = false; }
        if (openSettingsIfDenied === void 0) { openSettingsIfDenied = false; }
        return nativescript_geolocation_1.enableLocationRequest(always, openSettingsIfDenied);
    };
    GeolocationAdapter.prototype.acquireLocation = function (options) {
        return nativescript_geolocation_1.getCurrentLocation(options);
    };
    GeolocationAdapter.prototype.listenChanges = function (onChange, onError, options) {
        return nativescript_geolocation_1.watchLocation(onChange, onError, options);
    };
    GeolocationAdapter.prototype.stopListening = function (watchId) {
        nativescript_geolocation_1.clearWatch(watchId);
    };
    return GeolocationAdapter;
}());
exports.GeolocationAdapter = GeolocationAdapter;
var nativescript_geolocation_2 = require("nativescript-geolocation");
exports.Location = nativescript_geolocation_2.Location;
var enums_1 = require("tns-core-modules/ui/enums");
exports.Accuracy = enums_1.Accuracy;
//# sourceMappingURL=adapter.js.map