"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var nativescript_geolocation_1 = require("nativescript-geolocation");
var Geolocation = (function (_super) {
    __extends(Geolocation, _super);
    function Geolocation(location) {
        var _this = _super.call(this) || this;
        _this.latitude = location.latitude;
        _this.longitude = location.longitude;
        _this.altitude = isNumber(location.altitude) ? location.altitude : 0;
        _this.horizontalAccuracy = isNumber(location.horizontalAccuracy)
            ? location.horizontalAccuracy
            : 0;
        _this.verticalAccuracy = isNumber(location.verticalAccuracy)
            ? location.verticalAccuracy
            : 0;
        _this.speed = isNumber(location.speed) ? location.speed : 0;
        _this.direction = isNumber(location.direction) ? location.direction : 0;
        _this.timestamp = location.timestamp ? location.timestamp : new Date();
        return _this;
    }
    Geolocation.prototype.distance = function (to) {
        return nativescript_geolocation_1.distance(this, toLocation(to));
    };
    return Geolocation;
}(nativescript_geolocation_1.Location));
exports.Geolocation = Geolocation;
function isNumber(num) {
    return typeof num === "number";
}
function toLocation(location) {
    if (location instanceof nativescript_geolocation_1.Location) {
        return location;
    }
    return new Geolocation(location);
}
//# sourceMappingURL=geolocation.js.map